### Signal

# SpiceClientGLib DisplayChannel::gst-video-overlay

since: 0.36

#### Declaration

    gboolean
    gst_video_overlay (
      SpiceDisplayChannel* self,
      GstPipeline* pipeline,
      gpointer user_data
    )

#### Description [src]

The `SpiceDisplayChannel::gst-video-overlay` signal is emitted when pipeline is ready and can be passed to widget to register GStreamer overlay interface and other GStreamer callbacks. If the pipeline pointer is NULL, the drawing area of the native renderer is set visible.

Default handler:
Available since: 0.36

#### Parameters

`pipeline`

  Type: `GstPipeline`

  Pointer to GStreamer’s pipeline.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the overlay is being set.